## ros-foxy-raptor-dbw-msgs 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(raptor_dbw_msgs)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(ament_cmake_auto REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)

set(msg_files
  "msg/AcceleratorPedalCmd.msg"
  "msg/AcceleratorPedalReport.msg"
  "msg/ActuatorControlMode.msg"
  "msg/Brake2Report.msg"
  "msg/BrakeCmd.msg"
  "msg/BrakeReport.msg"
  "msg/ButtonState.msg"
  "msg/DoorLock.msg"
  "msg/DoorRequest.msg"
  "msg/DoorState.msg"
  "msg/DriverInputReport.msg"
  "msg/ExitReport.msg"
  "msg/FaultActionsReport.msg"
  "msg/Gear.msg"
  "msg/GearCmd.msg"  
  "msg/GearReport.msg"
  "msg/GlobalEnableCmd.msg"
  "msg/GpsReferenceReport.msg"
  "msg/GpsRemainderReport.msg"
  "msg/HighBeam.msg"
  "msg/HighBeamState.msg"
  "msg/HmiGlobalEnableReport.msg"
  "msg/HornState.msg"
  "msg/Ignition.msg"
  "msg/LowBeam.msg"
  "msg/LowBeamState.msg"
  "msg/LowVoltageSystemReport.msg"
  "msg/MiscCmd.msg"
  "msg/MiscReport.msg"
  "msg/OtherActuatorsReport.msg"
  "msg/ParkingBrake.msg"
  "msg/SonarArcNum.msg"  
  "msg/Steering2Report.msg"
  "msg/SteeringCmd.msg"
  "msg/SteeringReport.msg"
  "msg/SurroundReport.msg"  
  "msg/TirePressureReport.msg"
  "msg/TurnSignal.msg"  
  "msg/TwistCmd.msg"
  "msg/WatchdogStatus.msg"
  "msg/WheelPositionReport.msg"
  "msg/WheelSpeedReport.msg"
  "msg/WheelSpeedType.msg"
  "msg/WiperFront.msg"  
  "msg/WiperRear.msg"
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  DEPENDENCIES
    std_msgs
    geometry_msgs
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-foxy-raptor-dbw-msgs (1.2.0-1focal) focal; urgency=high

  * Update DBC to version 3.4
  * Contributors: neweagleraptor

 -- neweagle <newagleraptorgithub@neweagle.net>  Tue, 30 Nov 2021 05:00:00 -0000

ros-foxy-raptor-dbw-msgs (1.1.1-1focal) focal; urgency=high



 -- neweagle <newagleraptorgithub@neweagle.net>  Tue, 13 Jul 2021 04:00:00 -0000

ros-foxy-raptor-dbw-msgs (1.1.0-1focal) focal; urgency=high

  * Misc. cleanup & comment improvement
  * Fixed HighBeamState off value to match DBC
  * Contributors: neweagleraptor

 -- neweagle <newagleraptorgithub@neweagle.net>  Mon, 14 Jun 2021 04:00:00 -0000

ros-foxy-raptor-dbw-msgs (1.0.0-1focal) focal; urgency=high

  * Initial release
  * Contributors: New Eagle, neweagleraptor

 -- neweagle <newagleraptorgithub@neweagle.net>  Mon, 22 Mar 2021 04:00:00 -0000

=== debian/control ===
Source: ros-foxy-raptor-dbw-msgs
Section: misc
Priority: optional
Maintainer: neweagle <newagleraptorgithub@neweagle.net>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-auto, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-geometry-msgs, ros-foxy-rosidl-default-generators, ros-foxy-std-msgs, ros-foxy-ros-workspace, ros-foxy-rosidl-typesupport-fastrtps-c, ros-foxy-rosidl-typesupport-fastrtps-cpp, ros-foxy-rosidl-typesupport-connext-c, ros-foxy-rosidl-typesupport-connext-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-raptor-dbw-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-geometry-msgs, ros-foxy-rosidl-default-runtime, ros-foxy-std-msgs, ros-foxy-ros-workspace
Description: Messages for the New Eagle Raptor DBW kit interface

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-raptor-dbw-msgs//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
